.singleRow {
  cursor: pointer;
  border-bottom: 1px solid #566876;
  transition: background-color 0.2s;
  display: grid;
  grid-template-columns: auto 16px;
  padding-left: 15px;
  padding-right: 15px;

  .mainData {
    width: 100%;

    .headerRow {
      margin-top: 30px;
      margin-bottom: 27px;
      display: flex;
    }

    .dataColumns {
      display: grid;
      margin-bottom: 28px;
      grid-template-columns: auto auto;
      gap: 10px;

      @media (min-width: 560px) {
        grid-template-columns: auto auto auto auto;
      }
    }
  }

  .actionColumn {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 30px 0 28px 0;
    justify-content: space-between;
  }

  .itemCol {
    .sign {
      margin-right: 21px;
    }

    .title {
      font-family: 'Montserrat';
      word-break: break-word;
      font-style: normal;
      font-weight: 400;
      font-size: 22px;
      line-height: 27px;
    }
  }

  &:hover {
    background-color: var(--pale-blue);
    color: var(--black);
    font-weight: normal;
    font-stretch: normal;
    .deleteTd {
      .icons {
        .icon {
          &.publish {
            transform: rotate(180deg);
          }
          svg {
            path {
              fill: var(--black);
            }
          }
        }
      }
    }
  }

  .deleteTd {
    width: 10px;
    .icons {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      .icon {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        border: none;
        height: 100%;
        margin-top: 10px;
        &.publish {
          transform: rotate(180deg);
        }
        svg {
          path {
            fill: var(--white);
          }
        }
      }
    }
  }
}
